summaryrefslogtreecommitdiff
path: root/x11-libs
diff options
context:
space:
mode:
authorCtibor Brančík <ctibor@brancik.cz>2021-07-28 11:33:08 +0200
committerCtibor Brančík <ctibor@brancik.cz>2021-07-28 11:33:08 +0200
commitfe88e7ec78573f1b4912e9f1f80b182c04cb9b5b (patch)
tree8feff31c0afd26d3b2bd6f18f64b99778d2fdb39 /x11-libs
parent09cdfa975380c5b220a6fdbf116d2f0ca0bb6953 (diff)
downloadbrancik-overlay-fe88e7ec78573f1b4912e9f1f80b182c04cb9b5b.tar.gz
brancik-overlay-fe88e7ec78573f1b4912e9f1f80b182c04cb9b5b.tar.bz2
Fix errors and typos in various ebuilds.
Diffstat (limited to 'x11-libs')
-rw-r--r--x11-libs/libQGLViewer/libQGLViewer-2.7.2.ebuild39
1 files changed, 17 insertions, 22 deletions
diff --git a/x11-libs/libQGLViewer/libQGLViewer-2.7.2.ebuild b/x11-libs/libQGLViewer/libQGLViewer-2.7.2.ebuild
index 6d8e288..ab4dfdf 100644
--- a/x11-libs/libQGLViewer/libQGLViewer-2.7.2.ebuild
+++ b/x11-libs/libQGLViewer/libQGLViewer-2.7.2.ebuild
@@ -1,6 +1,5 @@
-# Copyright 1999-2020 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-# $Header: $
EAPI=7
@@ -15,7 +14,6 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc"
-
DEPEND="virtual/opengl
dev-qt/qtopengl:5
dev-qt/qtxml:5"
@@ -25,28 +23,25 @@ RDEPEND="${DEPEND}"
S=${WORKDIR}/${PN}-${PV}
src_configure() {
- true
+ true
}
-
+
src_compile() {
eqmake5 libQGLViewer-${PV}.pro -o Makefile \
- PREFIX=/usr \
- LIB_DIR=/usr/$(get_libdir)
- emake || die "emake QGLViewer failed"
+ PREFIX=/usr \
+ LIB_DIR=/usr/$(get_libdir)
+ emake || die "emake QGLViewer failed"
}
-
+
src_install() {
- cd QGLViewer
- INSTALL_ROOT="${D}" emake install_target install_include || die "install QGLViewer failed"
-
- cd designerPlugin
- INSTALL_ROOT="${D}" emake install_target || die "install QGLViewer failed"
-
- dodoc ../README || die "installing README failed"
-
- if use doc ; then
- dohtml -r ../doc/* || die "installing html files failed"
- docinto examples
- dodoc ../examples/* || die "installing examples failed"
- fi
+ cd QGLViewer
+ INSTALL_ROOT="${D}" emake install_target install_include || die "install QGLViewer failed"
+ cd designerPlugin
+ INSTALL_ROOT="${D}" emake install_target || die "install QGLViewer failed"
+ dodoc ../README || die "installing README failed"
+ if use doc ; then
+ dohtml -r ../doc/* || die "installing html files failed"
+ docinto examples
+ dodoc ../examples/* || die "installing examples failed"
+ fi
}